POST /api/v3/dashboard/{dashboardId}/widget

Adds a new widget to a dashboard with specified filters and position.

AddWidgetV3 Permissions: DashboardAndMapsModule (View)
Use this endpoint to add a widget to a dashboard. Requires ownership, DashboardAdministrator Manage, or SharedDashboardsOrMaps Edit permission. If Row/Col are -1, they default to the bottom-left of the dashboard.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
dashboardId Unique numeric identifier of the dashboard integer (int32) Required

Request Body

WidgetCreate
Property Description Type
col Dashboard column Required integer (int32)
filters Widget filters FilterEdit[]
FilterEdit properties
Property Description Type
fieldId Data field ID for the filter Required integer (int32)
operator Filter operator expressed as a string (e.g. “equals”) Required string
value Filter value string
height Widget height Required integer (int32)
row Dashboard row Required integer (int32)
title Personal Widget title Must be between 0 and 600 characters Required string
userWidgetDescription Personal Widget description Must be between 0 and 600 characters string
widgetId Widget identifier Required integer (int32)
width Widget width Required integer (int32)
Example Request Body application/json
{  "col": 1,  "filters": [
    {    "fieldId": 1,    "operator": "string",    "value": "string"
  }
  ],  "height": 1,  "row": 1,  "title": "string",  "userWidgetDescription": "string",  "widgetId": 1,  "width": 1
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

SpecificWidgetResponse
Property Description Type
col Dashboard column integer (int32)
description Widget description string
filters Widget filters FilterResponse[]
FilterResponse properties
Property Description Type
availableOperator The list of available operators Required (defined) string[]
caption The caption of the filter Required (defined) string
dataFieldId The datafield identifier Required (defined) integer (int32)
dataType DataTypeResponse
DataTypeResponse properties
Property Description Type
dataTypeCode The data type code/short name Required (defined) string
dataTypeId The unique identifier for the data type (e.g., 1=boolean, 2=integer, 3=string, 4=double, 6=date, 12=select list, 13=URL) Required (defined) integer (int32)
dataTypeInfo The data type display name/description Required (defined) string
fieldId The field identifier Required (defined) integer (int32)
hidden Indicates if the filter is hidden Required (defined) boolean
operator The operator Required (defined) string
queryParameterName The Query parameter name Required (defined) string
recommended Indicates if the filter is recommended Required (defined) boolean
required Indicates if the filter is required boolean
value The value of the filter Required (defined) string
height Widget height integer (int32)
row Dashboard row integer (int32)
specificWidgetId Specific widget identifier integer (int32)
title User Widget title string
userWidgetDescription User Widget description string
widgetInfo Widget title string
width Widget width integer (int32)
Example Response application/json
{  "col": 1,  "description": "string",  "filters": [
    {    "availableOperator": [
      "string"
    ],    "caption": "string",    "dataFieldId": 1,    "dataType": {      "dataTypeCode": "string",      "dataTypeId": 1,      "dataTypeInfo": "string"
    },    "fieldId": 1,    "hidden": false,    "operator": "string",    "queryParameterName": "string",    "recommended": false,    "required": false,    "value": "string"
  }
  ],  "height": 1,  "row": 1,  "specificWidgetId": 1,  "title": "string",  "userWidgetDescription": "string",  "widgetInfo": "string",  "width": 1
}
404 Not Found The requested resource was not found. Verify the ID or path is correct.